<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml"
                xmlns:jsf="http://xmlns.jcp.org/jsf"
                xmlns:h="http://xmlns.jcp.org/jsf/html"
                xmlns:f="http://xmlns.jcp.org/jsf/core"
                template="./../plantilla-principal.xhtml">

    <ui:define name="contenido">
        <div id="dimmerpagina" class="ui page active dimmer">
            <!--<div class="content">-->
            <div id="mensajedimmer" class="ui text loader">Cargando página...</div>
            <!--</div>-->
        </div>
        <style>
            #btn-elim{
                display: none;
            }
            #form-datos\:btn-guardar{
                display: none;
            }
        </style>
        <h2 class="ui header">Excluir Sorteo</h2>
        <div class="ui grid">
            <div class="eleven wide column">
                <h:form id="form-filtro">
                    <div class="ui fluid icon input">
                        <input id="txf-buscar" type="text" placeholder="Buscar"/>
                        <i id="icono-busqueda" class="search icon" />
                    </div>
                    <h:commandLink id="cl-buscar" style="display: none" actionListener="#{excluidoManBean.filtrarSuscripciones()}">
                        <f:ajax execute="@form" render="form-tabla" onevent="function(data){ajaxBusqueda(data)}" />
                    </h:commandLink>
                </h:form>
                <h:form id="form-tabla">
                    <table jsf:id="tabla-susc" class="ui sortable celled table">
                        <thead>
                            <tr>
                                <th class="collapsing">
                                    <div class="ui fitted checkbox" onclick="seleccionarTodo()">
                                        <input type="checkbox" id="chk-selec-todo"/>
                                        <label/>
                                    </div>
                                </th>
                                <th>Susc.</th>
                                <th>Cliente</th>
                                <th style="display: none">Direccion</th>
                                <th style="display: none" class="collapsing">C. Pend.</th>
                                <th style="display: none">M. Deuda</th>
                                <th class="collapsing">Estado</th>
                                <th style="display: none" class="collapsing"></th>
                            </tr>
                        </thead>
                        <tbody jsf:id="tbody-tabla">
                            <ui:repeat value="#{excluidoManBean.lstSuscripciones}" var="suscripcion" varStatus="suscripcionStatus">
                                <tr id="rw-#{suscripcion.idsuscripcion}" class="#{excluidoManBean.getCantidadCuotasPendientes(suscripcion.idsuscripcion)>=excluidoManBean.cantCuotasResaltar?'warning':''}">
                                    <td>
                                        <div  class="ui fitted checkbox" onclick="selecFila(#{suscripcion.idsuscripcion})">
                                            <input type="checkbox" id="chk-sl-#{suscripcion.idsuscripcion}"/>
                                            <label/>
                                        </div>
                                    </td>
                                    <td class="blue" id="colIdSusc" onclick="selecUnica(#{suscripcion.idsuscripcion})">
                                        #{suscripcion.idsuscripcion}
                                    </td>
                                    <td id="colRazon-#{suscripcion.idsuscripcion}" onclick="selecUnica(#{suscripcion.idsuscripcion})">
                                        #{suscripcion.cliente.razonSocial}(cli:#{suscripcion.cliente.idcliente})
                                    </td>
                                    <td style="display: none" id="colDirecc-#{suscripcion.idsuscripcion}" onclick="selecUnica(#{suscripcion.idsuscripcion})">
                                        #{suscripcion.direccion}
                                    </td>
                                    <td style="display: none" onclick="selecUnica(#{suscripcion.idsuscripcion})">
                                        #{excluidoManBean.getCantidadCuotasPendientes(suscripcion.idsuscripcion)}
                                    </td>
                                    <td style="display: none" onclick="selecUnica(#{suscripcion.idsuscripcion})">
                                        <h:outputText value="#{excluidoManBean.getMontoDeuda(suscripcion.idsuscripcion)}">
                                            <f:convertNumber pattern="###,###,###,###" />
                                        </h:outputText>
                                    </td>
                                    <td class="#{utilConversion.getColorEstado(suscripcion.estado.idestado)}" onclick="selecUnica(#{suscripcion.idsuscripcion})">
                                        #{suscripcion.estado.nombre}
                                        <h:outputText rendered="#{suscripcion.fechaCambioEstado!=null}" value="Desde "/> <h:outputText value="#{suscripcion.fechaCambioEstado}">
                                            <f:convertDateTime pattern="dd/MM/yy" />
                                        </h:outputText>
                                    </td>
                                    <td style="display: none" class="collapsing">
                                        <div data-inverted="" data-tooltip="Ver detalles de la suscripción">
                                            <a href="#{navegacion.getDireccionNav('detallesuscripcion')}?ids=#{suscripcion.idsuscripcion}">
                                                <i class="external link icon" />
                                            </a>

                                        </div>
                                    </td>
                                </tr>
                            </ui:repeat>
                        </tbody>
                        <tfoot class="full-width" jsf:id="pie-tabla">
                            <tr>
                                <th colspan="8">
                                    <div id="cmb-reg-porpag" class="ui compact selection dropdown">
                                        <input name="in-reg-porpag" type="hidden" jsf:value="#{excluidoManBean.paginador.cantidadRegistrosPorPagina}"/>
                                        <i class="dropdown icon"></i>
                                        <div class="default text">Registros</div>
                                        <div class="menu">
                                            <div class="item" data-value="10">10 Ítems</div>
                                            <div class="item" data-value="20">20 Ítems</div>
                                            <div class="item" data-value="50">50 Ítems</div>
                                            <div class="item" data-value="100">100 Ítems</div>
                                            <div class="item" data-value="150">150 Ítems</div>
                                            <div class="item" data-value="200">200 Ítems</div>
                                        </div>
                                    </div>
                                    <span jsf:id="datos-paginacion">
                                        del #{excluidoManBean.paginador.posicionInicio} al #{excluidoManBean.paginador.posicionFin} (Total: #{excluidoManBean.paginador.totalRegistros})
                                    </span>

                                    <h:commandLink id="cml-camb-cant-items">
                                        <f:ajax execute="form-tabla:in-reg-porpag" render="form-tabla:botones-paginacion form-tabla:tbody-tabla form-tabla:datos-paginacion"/>
                                    </h:commandLink>
                                    <div jsf:id="botones-paginacion" class="ui right floated pagination menu">
                                        <h:commandLink disabled="#{!excluidoManBean.paginador.desplazableIzquierda}" class="#{!excluidoManBean.paginador.desplazableIzquierda?'disabled icon item':'icon item'}" action="#{excluidoManBean.paginador.desplazarIzquierdaPaginador()}">
                                            <i class="left chevron icon"></i>
                                            <f:ajax render="form-tabla:botones-paginacion form-tabla:datos-paginacion" execute="@this" />
                                        </h:commandLink>
                                        <ui:repeat value="#{excluidoManBean.paginador.bloqueNumeracionPaginas}" var="pag" varStatus="pagStatus">
                                            <h:commandLink class="#{excluidoManBean.paginador.paginaActual==pag?'active item':'item'}" action="#{excluidoManBean.paginador.setPaginaActual(pag)}">
                                                #{pag}
                                                <f:ajax execute="@this" render="form-tabla:botones-paginacion form-tabla:tbody-tabla form-tabla:datos-paginacion"  onevent="function(data){ajaxPaginacion(data)}" />
                                            </h:commandLink>
                                        </ui:repeat>
                                        <h:commandLink disabled="#{!excluidoManBean.paginador.desplazableDerecha}" class="#{!excluidoManBean.paginador.desplazableDerecha?'disabled icon item':'icon item'}" action="#{excluidoManBean.paginador.desplazarDerechaPaginador()}">
                                            <i class="right chevron icon"></i>
                                            <f:ajax render="form-tabla:botones-paginacion form-tabla:datos-paginacion" execute="@this" />
                                        </h:commandLink>
                                    </div>
                                </th>
                            </tr></tfoot>
                    </table>
                    <input name="selbar" id="selbar" type="hidden" jsf:value="#{excluidoManBean.seleccionJson}"/>
                    <h:commandLink style="display: none" id="cml-enviar-seleccion" actionListener="#{excluidoManBean.seleccionarSuscripciones()}" >
                        <f:ajax execute="@this selbar"/>
                    </h:commandLink>
                </h:form>
            </div>
            <div class="five wide column">
                <div class="ui pointing secondary menu">
                    <a class="item" data-tab="filtros">Filtros</a>
                    <a class="item active" data-tab="formulario">Formulario</a>
                    <!--<a class="item" data-tab="formulario">Excluidos</a>-->
                </div>
                <div class="ui tab" data-tab="filtros">
                    <h:form id="form-filtro-sel">
                        <input jsf:id="in-tx-busq" type="hidden" jsf:value="#{excluidoManBean.textBusq}" />
                        <input jsf:id="in-tx-idsorteo" type="hidden" jsf:value="#{excluidoManBean.idFiltroSorteo}" />
                        <div class="ui form">
                            <div class="field">
                                <label><i class="red remove link icon" onclick="$('#cmb-estado-filtro').dropdown('clear')"/>Estado</label>
                                <div id="cmb-estado-filtro" class="ui selection dropdown">
                                    <input jsf:value="#{excluidoManBean.idEstadoFiltro}" name="in-estado-filtro" type="hidden" />
                                    <i class="dropdown icon"></i>
                                    <div class="default text">Todos los estados</div>
                                    <div class="menu">
                                        <ui:repeat value="#{estadoSusManBean.estadosSuscripcion}" var="estSuscFilt" varStatus="estSuscFiltStatus">
                                            <div class="item" data-value="#{estSuscFilt.idestado}">#{estSuscFilt.nombre}</div>
                                        </ui:repeat>
                                    </div>
                                </div>
                            </div>
                            <div class="field">
                                <label><i class="red remove link icon" onclick="$('#cmb-tiposusc-filtro').dropdown('clear')" />Tipo de suscripción</label>
                                <div class="ui selection dropdown" id="cmb-tiposusc-filtro">
                                    <input type="hidden" name="in-tiposusc-filtro" jsf:value="#{excluidoManBean.idTipoSuscFiltro}"/>
                                    <i class="dropdown icon"></i>
                                    <div class="default text">Todos los tipos</div>
                                    <div class="menu">
                                        <ui:repeat value="#{tipoSuscripcionManBean.lstTipoSuscripcion}" var="tiposusc" varStatus="tiposuscStatus">
                                            <div class="item" data-value="#{tiposusc.idtipoSuscripcion}">#{tiposusc.nombre}</div>
                                        </ui:repeat>
                                    </div>
                                </div>
                            </div>
                            <div class="field">
                                <label><i class="red remove link icon" onclick="$('#cmb-cobrador-filtro').dropdown('clear')"/>Cobrador</label>
                                <div id="cmb-cobrador-filtro" class="ui search selection dropdown">
                                    <input name="in-cobrador-filtro" type="hidden" jsf:value="#{excluidoManBean.idCobradorFiltro}"/>
                                    <i class="dropdown icon"></i>
                                    <div class="default text">Todos los cobradores</div>
                                    <div class="menu">
                                    </div>
                                </div>

                            </div>
                            <div class="ui divider" />
                            <div class="field">
                                <label>Cuotas pendientes</label>
                                <input placeholder="Cualquier cantidad" min="0" name="in-cuopend-filtro" type="number" jsf:value="#{excluidoManBean.cantCuotasFiltro}"/>
                            </div>
                            <div class="two fields">
                                <div class="field">
                                    <label>Cuotas: Desde</label>
                                    <div class="ui calendar" id="cal-desde-filtro">
                                        <div class="ui input left icon">
                                            <i class="time icon"></i>
                                            <input type="text" placeholder="Desde" jsf:value="#{excluidoManBean.strDesdeFiltro}"/>
                                        </div>
                                    </div>
                                </div>
                                <div class="field">
                                    <label>Hasta</label>
                                    <div class="ui calendar" id="cal-hasta-filtro">
                                        <div class="ui input left icon">
                                            <i class="time icon"></i>
                                            <input type="text" placeholder="Hasta" jsf:value="#{excluidoManBean.strHastaFiltro}"/>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <h:commandLink id="cml-filtrar-sel" action="#{excluidoManBean.filtrarSuscripciones()}" class="ui right labeled icon button">
                                Filtrar
                                <i class="filter icon" />
                                <f:ajax execute="@form form-filtro" render="form-tabla:botones-paginacion form-tabla:tbody-tabla form-tabla:datos-paginacion form-resumen" onevent="function(data){ajaxFiltrarSucripciones(data)}"/>
                            </h:commandLink>
                        </div>

                    </h:form>
                </div>
                <div  class="ui active tab" data-tab="formulario">
                    <h1>Seleccionar Sorteo</h1>
                    <h:form id="form-ingresar-sus">
                        <div class="ui form">
                            <div class="field">
                            </div>
                            <!--<div class="fields">-->
                            <div class="ui fluid field">
                                <label>Sorteo</label>
                                <div id="sorteoPremio" class="ui dropdown search selection">
                                    <input id="idFSorteo" jsf:value="#{sorteoManBeanPremio.idSorteoTmp}" type="hidden"/>
                                    <input id="idFiltroSorteo" jsf:value="#{excluidoManBean.idFiltroSorteo}" type="hidden"/>
                                    <i class="dropdown icon" />
                                    <div class="default text">Descripción</div>
                                    <div class="menu">
                                        <ui:repeat  value="#{sorteoManBeanPremio.listSorteo}" var="sorteo" varStatus="sorteoStatus">
                                            <div id="selected-#{sorteo.idsorteo}" onclick="onSelect(#{sorteo.idsorteo})"  class="item" data-value="#{sorteo.idsorteo}">#{sorteo.descripcion}</div>
                                        </ui:repeat>
                                    </div>
                                </div> 
                                <!--</div>-->
                            </div>
                            <input name="selbar1" id="selbar1" type="hidden" jsf:value="#{sorteoManBeanPremio.seleccionarSorteoJSON}"/>
                            <div class="actions">
                                <h:commandLink id="btn-guardar-excluidos" action="#{sorteoManBeanPremio.registrarSuscripcionesExcluidas()}" class="ui right labeled red icon button">
                                    <i class="angle double right icon"></i>
                                    Excluir
                                    <f:ajax execute="@form" onevent="generarDatosSeleccion()" render="form-excluidos form-tabla"/>
                                </h:commandLink>

                                <h:commandLink id="cml-filtrar-sorteo" actionListener="#{sorteoManBeanPremio.getListExcluidoS()}" action="#{excluidoManBean.filtrarSuscripciones()}" class="ui right labeled icon button">
                                    Filtrar
                                    <i class="filter icon" />
                                    <f:ajax execute="@form form-filtro" render="form-tabla:botones-paginacion form-tabla:tbody-tabla form-tabla:datos-paginacion form-excluidos"/>
                                </h:commandLink>
                                <a id="link-ver-participantes" href="#">Participantes</a>
                                <!--<div class="ui divider hidden"></div>-->
                            </div>
                        </div>
                    </h:form>
                </div>

                <div style="height: 1412px; overflow-x: scroll" class="scroll" id="scroll">

                    <h:form id="form-excluidos">

                        <table jsf:id="elementos-tabla-excluidos" class="ui selectable celled table">

                            <thead>
                                <tr>
                                    <th style="display: none" class="collapsing">Incluir</th>
                                    <th style="display: none">ID</th>
                                    <th style="display: none">Descripción</th>
                                </tr>
                            </thead>

                            <tbody>

                                <input name="selbar4" id="selbar4" type="hidden" jsf:value="#{sorteoManBeanPremio.seleccionarRemoverSorteoJSON}"/>
                                <h:inputHidden id="selbar3" value="#{sorteoManBeanPremio.seleccionarRemoverSorteoJSON}" />
                                <ui:repeat value="#{sorteoManBeanPremio.listExcluidoS}" var="excluido" varStatus="excluidoStatus">
                                    <tr id="inc-#{excluido.idsuscripcion}">
                                        <td class="collapsing" id="btn-accion-#{excluido.idsuscripcion}"><h:commandLink id="btn-incluir" action="#{sorteoManBeanPremio.incluirSuscripcionSoreteo(excluido.idsuscripcion)}" class="ui collapsing green button">
                                                <i class="angle double left icon"></i><f:ajax execute="@form" onevent="generarDatosSeleccion()" render="form-excluidos"/>
                                            </h:commandLink></td>
                                        <td id="col-id-suscripcion-#{excluido.idsuscripcion}">#{excluido.idsuscripcion}</td>
                                        <td id="col-descripcion-suscripcion-#{excluido.idsuscripcion}">#{excluido.cliente.razonSocial}</td>
                                    </tr>
                                </ui:repeat>
                            </tbody>
                        </table>
                    </h:form>
                </div>

            </div>
        </div>

        <script>
            $('#form-filtro-sel\\:in-tx-idsorteo').val($('#idFSorteo').val());
            function onSelect(idSorteo) {
                document.getElementById("link-ver-participantes").href = "participantes.xhtml?idsorteo="+idSorteo;
                var variable = 0;
                $('#idFiltroSorteo').on('input', function () {
                    clearTimeout(variable);
                    variable = setTimeout(function () {
                        $('#form-ingresar-sus\\:idFiltroSorteo').val($('#idFSorteo')).val();

                        $('#form-ingresar-sus\\:cml-filtrar-sorteo').val($('#idFSorteo')).val();
                    });
                });
            }

            var timeSorteo = 0;
            $('#in-tx-idsorteo').on('input', function () {
                clearTimeout(timeSorteo);
                timeSorteo = setTimeout(function () {
                    $('#form-filtro-sel\\:in-tx-idsorteo').val($('#idFiltroSorteo').val());
                    //                    $('#form-filtro\\:cl-buscar').click();
                    $('#form-filtro-sel\\:cml-filtrar-sel').click();
                    //                    modoNuevo();
                }, 500);
            });


            function ajaxPaginacion(data) {
                var s = data.status;
                switch (s) {
                    case 'success':
                    {

                        break;
                    }
                }
            }
            function ajaxPaginacionExcluidos(data) {
                var s = data.status;
                switch (s) {
                    case 'success':
                    {
                        ocultarBtnElim();
                        modoModificar();
                        limpiarFormulario();
                        break;
                    }
                }
            }


            function ajaxFiltrarSucripciones(data) {
                var s = data.status;
                switch (s) {
                    case 'success':
                    {
                        $('#form-filtro-sel\\:cml-filtrar-sel').removeClass('loading');
                        $('#form-filtro-sel\\:cml-filtrar-sel').removeClass('disabled');
                        break;
                    }
                    case 'begin':
                    {
                        $('#form-filtro-sel\\:cml-filtrar-sel').addClass('loading');
                        $('#form-filtro-sel\\:cml-filtrar-sel').addClass('disabled');
                        break;
                    }
                }
            }
            $(document).ready(function () {
                var idsorteo = document.getElementById("idFSorteo").value;
                document.getElementById("link-ver-participantes").href = "participantes.xhtml?idsorteo="+idsorteo;
                
                $('#cmbCobrador').dropdown({
                    apiSettings: {
                        url: '//' + location.host + restRootPath + '/buscarcobradordropdown?q={query}'
                    }
                });

                //INICIALIZACION CALENDARIOS FILTROS
                $('#cal-desde-filtro').calendar({
                    type: 'month',
                    text: {
                        days: ['D', 'L', 'M', 'M', 'J', 'V', 'S'],
                        months: ['enero', 'febrero', 'marzo', 'abril', 'mayo', 'junio', 'julio', 'agosto', 'septiembre', 'octubre', 'noviembre', 'diciembre'],
                        monthsShort: ['Ene', 'Feb', 'Mar', 'Abr', 'May', 'Jun', 'Jul', 'Ago', 'Sep', 'Oct', 'Nov', 'Dic'],
                        today: 'Hoy',
                        now: 'Ahora',
                        am: 'AM',
                        pm: 'PM'
                    },
                    endCalendar: $('#cal-hasta-filtro')
                });
                $('#cal-hasta-filtro').calendar({
                    type: 'month',
                    text: {
                        days: ['D', 'L', 'M', 'M', 'J', 'V', 'S'],
                        months: ['enero', 'febrero', 'marzo', 'abril', 'mayo', 'junio', 'julio', 'agosto', 'septiembre', 'octubre', 'noviembre', 'diciembre'],
                        monthsShort: ['Ene', 'Feb', 'Mar', 'Abr', 'May', 'Jun', 'Jul', 'Ago', 'Sep', 'Oct', 'Nov', 'Dic'],
                        today: 'Hoy',
                        now: 'Ahora',
                        am: 'AM',
                        pm: 'PM'
                    },
                    startCalendar: $('#cal-desde-filtro')
                });

                $('#cmb-reg-porpag').dropdown({
                    onChange: function () {
                        console.log("change cantidad items");
                        $('#form-tabla\\:cml-camb-cant-items').click();
                    }
                });
                $('#cmb-reg-porpag-excluidos').dropdown({
                    onChange: function () {
                        console.log("change cantidad items");
                        $('#form-excluidos\\:cml-camb-cant-items-excluidos').click();
                    }
                });
                $('.menu .item').tab();

                //                $('#cmb-estado-filtro').dropdown({
                //                    onChange: function () {
                //                        $('#form-filtro-sel\\:cml-filtrar-sel').click();
                //                    }
                //                });

                $('#cmb-susc-gen').dropdown({
                    apiSettings: {
                        url: '//' + location.host + restRootPath + '/buscsuscdropdown?q={query}'
                    }
                });
                $('#cmbCli').dropdown({
                    apiSettings: {
                        url: '//' + location.host + restRootPath + '/buscarClienteDropdown?q={query}'
                    }
                });

                $('#cal-primer-vencimiento').calendar({
                    type: 'date',
                    text: {
                        days: ['D', 'L', 'M', 'M', 'J', 'V', 'S'],
                        months: ['enero', 'febrero', 'marzo', 'abril', 'mayo', 'junio', 'julio', 'agosto', 'septiembre', 'octubre', 'noviembre', 'diciembre'],
                        monthsShort: ['Ene', 'Feb', 'Mar', 'Abr', 'May', 'Jun', 'Jul', 'Ago', 'Sep', 'Oct', 'Nov', 'Dic'],
                        today: 'Hoy',
                        now: 'Ahora',
                        am: 'AM',
                        pm: 'PM'
                    },
                    minDate: new Date()
                });

                $('#cmb-cobrador-filtro').dropdown({
                    apiSettings: {
                        url: '//' + location.host + restRootPath + '/buscarcobradordropdown?q={query}'
                    }
                });
                $('#form-filtro-sel\\:cml-filtrar-sel').click();
                console.log("se esconde");
                $('#dimmerpagina').dimmer('show');
                $('#dimmerpagina').dimmer('hide');
            });

            $('.message .close').on('click', function () {
                $(this).closest('.message').transition('fade');
            });

            function selecFila(idsusc) {
                console.log("selecFila llamado");
                var nombreFila = "#rw-" + idsusc;
                var nombreChk = "#chk-sl-" + idsusc;
                if ($(nombreFila).hasClass('active')) {
                    $(nombreFila).removeClass('active');
                    $(nombreChk).prop('checked', false);
                } else {
                    $(nombreFila).addClass('active');
                    $(nombreChk).prop('checked', true);
                }
                generarDatosSeleccion();
                ocultarBtnElim();
                comprobarSeleccionTodo();
                modoModificar();
                var seleccionados = $('tbody :checkbox:checked').length;
                if (seleccionados === 1) {
                    cargarFormulario(idsusc);
                } else {
                    limpiarFormulario();
                }
            }

            function selecUnica(id) {
                var nombreFila = "#rw-" + id;
                var nombreChk = "#chk-sl-" + id;
                if ($(nombreFila).hasClass('active')) {
                    $('tbody :checkbox:checked').prop('checked', false);
                    $('#form-tabla\\:tabla-susc tbody tr').removeClass('active');
                    $('#form-ingresar-sus\\:idsusCSO-hidden').val($('#colIdSusc' + id).html());
                    $('#form-ingresar-sus\\:selbar1').val($('#colIdSusc' + id).html());
//                    $('#registrar-ecluidos\\:selbar3').val($('form-ingresar-sus\\:id-sorteo-sus-ex').html());
                    limpiarFormulario();
                } else {
                    $('tbody :checkbox:checked').prop('checked', false);
                    $('#form-tabla\\:tabla-susc tbody tr').removeClass('active');
                    $(nombreFila).addClass('active');
                    $(nombreChk).prop('checked', true);
                    cargarFormulario(id);
                }
                generarDatosSeleccion();
                ocultarBtnElim();
                modoModificar();

            }
            $('#form-excluidos\\:btn-incluir').hide();
            function incluirFilaPremio(idpr) {
                var idfila = '#inc-' + idpr;
                $("#form-excluidos tr").removeClass('active');
                $(idfila).addClass('active');
                if ($(idfila).hasClass('active')) {
                    $('#form-ingresar-sus\\:btn-guardar-excluidos').hide();
                    $('#form-excluidos\\:selbar4').val($('#col-id-suscripcion-' + idpr).html());
                    $('#form-excluidos\\:selbar3').val($('#col-id-suscripcion-' + idpr).html());
                    $('#form-excluidos\\:btn-incluir').show();
                } else {
                    $('#form-ingresar-sus\\:btn-guardar-excluido').show();
                    $('#form-excluidos\\:btn-incluir').hide();

                }
                generarDatosSeleccion();
            }

            function comprobarSeleccionTodo() {
                var seleccionados = $('tbody :checkbox:checked').length;
                var cantFilas = $('tbody tr').length;
                if (seleccionados === cantFilas) {
                    $('#chk-selec-todo').prop('checked', true);
                } else {
                    $('#chk-selec-todo').prop('checked', false);
                }
            }

            function seleccionarTodo() {
                if ($('#chk-selec-todo').prop('checked')) {
                    $('tbody tr').addClass('active');
                    $('tbody :checkbox').prop('checked', true);
                    limpiarFormulario();
                } else {
                    $('tbody tr').removeClass('active');
                    $('tbody :checkbox').prop('checked', false);
                }
                generarDatosSeleccion();
                ocultarBtnElim();
                //comprobarSeleccionTodo();
                modoModificar();
            }



            function generarDatosSeleccion() {
                var idSeleccionados = [];
                $("tbody tr [id^='colIdSusc']").each(function (index, value) {
                    var id = parseInt($(this).html());
                    if ($('#chk-sl-' + id).prop('checked')) {
                        idSeleccionados.push(id);
                    }
                });
                var jsonselect = JSON.stringify(idSeleccionados);
                $('#selbar').val(jsonselect);
                $('#selbar1').val(jsonselect);
                $('#selbar3').val(jsonselect);
                $('#selbar4').val(jsonselect);
                $('#div-btn-elim').hide();
                $('#form-tabla\\:cml-enviar-seleccion').click();
            }

            var timeOut = 0;
            $('#txf-buscar').on('input', function () {
                clearTimeout(timeOut);
                timeOut = setTimeout(function () {
                    $('#form-filtro-sel\\:in-tx-busq').val($('#txf-buscar').val());
                    //                    $('#form-filtro\\:cl-buscar').click();
                    $('#form-filtro-sel\\:cml-filtrar-sel').click();
                    //                    modoNuevo();
                }, 500);
            });

            function ajaxBusqueda(data) {
                if (data.status === 'begin') {
                    $('#dim-tabla').dimmer('show');
                    $('#icono-busqueda').removeClass('search');
                    $('#icono-busqueda').addClass('spinner');
                    $('#icono-busqueda').addClass('loading');
                } else {
                    $('#dim-tabla').dimmer('hide');
                    $('#icono-busqueda').addClass('search');
                    $('#icono-busqueda').removeClass('spinner');
                    $('#icono-busqueda').removeClass('loading');
                }
            }

            function ajaxSeleccion(data) {
                var s = data.status;
                switch (s) {
                    case 'success':
                    {
                        $('#cmbCli').dropdown();
                        break;
                    }
                }
            }
        </script>
    </ui:define>

</ui:composition>
